package com.clx.performance.service.impl;

import cn.hutool.core.collection.CollectionUtil;
import com.clx.performance.dao.OrderGoodsTruckBindDao;
import com.clx.performance.model.OrderGoods;
import com.clx.performance.model.OrderGoodsTruckBind;
import com.clx.performance.service.OrderGoodsTruckBindService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class OrderGoodsTruckBindServiceImpl implements OrderGoodsTruckBindService {

    @Autowired
    private OrderGoodsTruckBindDao orderGoodsTruckBindDao;
    @Override
    public List<Integer> getTrucksByOrderGoodsNo(String orderGoodsNo) {
        return orderGoodsTruckBindDao.getTrucksByOrderGoodsNo(orderGoodsNo);
    }

    @Override
    public List<OrderGoods> getCancelOrderGoods(String truckNo, String beginTime, String endTime) {
        List<OrderGoodsTruckBind> list = orderGoodsTruckBindDao.getCancelOrderGoods(truckNo, beginTime, endTime);
        if (CollectionUtil.isEmpty(list)) {
            return null;
        }

        return null;
    }


}
